#define VGA_ADDRESS 0xB8000

void vga_write(const char* str, unsigned char color) {
    volatile char* vga = (volatile char*) VGA_ADDRESS;
    while(*str) {
        *vga++ = *str++;
        *vga++ = color;
    }
}

int kmain() {
    vga_write("OS Booted!", 0x0F);  // Белый текст на черном фоне
    while(1);
    return 0;
}
