global loader
extern kmain

MAGIC_NUMBER equ 0x1BADB002
FLAGS        equ 0x0
CHECKSUM     equ -MAGIC_NUMBER

section .text
align 4
    dd MAGIC_NUMBER
    dd FLAGS
    dd CHECKSUM

loader:
    mov esp, stack_top   ; Инициализация стека
    call kmain           ; Вызов ядра на C

.loop:
    jmp .loop            ; Бесконечный цикл

section .bss
align 16
stack_bottom:
    resb 16384           ; 16 KiB стек
stack_top:
